package com.heketai.website.common.result;


/**
 * Ajax 请求时的自定义查询状态码，主要参考Http状态码，但并不完全对应
 * @author xjl
 */
public enum HttpCode {
    /**
     * 成功
     */
    OK("200", "成功"),
    /**
     * 失败
     */
    FAIL("500", "失败"),
    AUTHENTICATION_FAIL("001", "没有通过权限认证！");

    private final String code;
    private final String msg;

    HttpCode(String code, String msg) {
        this.code = code;
        this.msg = msg;
    }

    public String getCode() {
        return code;
    }

    public String getMsg() {
        return msg;
    }
}
